/*
 * icmpstat.d - print ICMP statistics. Uses DTrace.
 *
 * This prints ICMP statistics every second, retrieved from the MIB provider.
 * This is a simple script to demonstrate the ability to trace ICMP events.
 *
 * $Id: icmpstat.d 3 2007-08-01 10:50:08Z brendan $
 *
 * FIELDS:
 *	STATISTIC		ICMP statistic name
 *	VALUE		total of statistic during sample
 *
 * The above ICMP statistics are documented in the mib2_icmp struct
 * in the /usr/include/inet/mib2.h file; and also in the mib provider
 * chapter of the DTrace Guide, http://docs.sun.com/db/doc/817-6223.
 *
 * COPYRIGHT: Copyright (c) 2005 Brendan Gregg.
 *
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 *
 * 25-Jul-2005	Brendan Gregg	Created this.
 * 25-Jul-2005	   "      "	Last update.
 * 05-Nov-2008	Tom Erickson	Adapted for use with Chime.
 */

/*
 * Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
 */

mib:::icmp*
{
        @icmp[probename] = sum(arg0);
}
