/*
 * py_profile.d - sample stack traces with Python translations using DTrace.
 *                Written for the Python DTrace provider.
 *
 * $Id: py_profile.d 19 2007-09-12 07:47:59Z brendan $
 *
 * This samples stack traces for the process specified. This stack trace
 * will cross the Python engine and system libraries, and insert 
 * translations for Python stack frames where appropriate. This is best
 * explained with an example stack frame output,
 *
 *            libpython2.4.so.1.0`PyEval_EvalFrame+0x2fbf
 *              [ ./func_loop.py:5 (func_c) ]
 *            libpython2.4.so.1.0`fast_function+0xa8
 *            libpython2.4.so.1.0`call_function+0xda
 *            libpython2.4.so.1.0`PyEval_EvalFrame+0xbdf
 *              [ ./func_loop.py:11 (func_b) ]
 *            libpython2.4.so.1.0`fast_function+0xa8
 *            libpython2.4.so.1.0`call_function+0xda
 *            libpython2.4.so.1.0`PyEval_EvalFrame+0xbdf
 *              [ ./func_loop.py:14 (func_a) ]
 *            libpython2.4.so.1.0`fast_function+0xa8
 *            libpython2.4.so.1.0`call_function+0xda
 *            libpython2.4.so.1.0`PyEval_EvalFrame+0xbdf
 *              [ ./func_loop.py:16 (?) ]
 *
 * The lines in square brackets are the native Python frames, the rest
 * are the Python engine.
 *
 * COPYRIGHT: Copyright (c) 2007 Brendan Gregg.
 *
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 *
 * 09-Sep-2007	Brendan Gregg	Created this.
 * 17-Dec-2008	Tom Erickson	(adapted for Chime)
 */

/*
 * Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
 */

profile-??RATE??
/pid == $target/
{
	@stacks[jstack(??DEPTH??)] = count();
}

??DEPTH	10
??RATE	1001
